<div *ngIf="isLoadData">
  <nz-card class="content-init-approve">
    <div nz-row>
      <div nz-col nzSpan="12">
        <span class="content-init-approve__title">{{orgSelect.orgName}}</span>
      </div>
      <div nz-col nzSpan="12" class="btn-style">
        <div class="style-button" *ngIf="objFunction.approve">
          <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="handleApprove()"
            mbButtonText="{{'modelOrganization.approveDetail.approved' | translate}}"></mb-button>
          <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' (click)="handleReject()"
            mbButtonText="{{'modelOrganization.approveDetail.reject' | translate}}"></mb-button>
        </div>
      </div>
    </div>
    <div nz-row>
      <div nz-col nzSpan="6" class="content-init-approve__left">
        <nz-form-label [nzNoColon]="true" nzRequired>{{'modelOrganization.approveDetail.noseNumber' | translate}}
        </nz-form-label>
        <nz-form-item>
          <nz-form-label [nzNoColon]="true">{{sheetApproval.sapNo}}</nz-form-label>
        </nz-form-item>
      </div>

      <div nz-col nzSpan="6" class="content-init-approve__left">
        <nz-form-label [nzNoColon]="true" nzRequired>{{'modelOrganization.approveDetail.effectiveDate' | translate}}
        </nz-form-label>
        <nz-form-item>
          <nz-form-label [nzNoColon]="true">{{data.fromDate | date: 'dd/MM/yyyy'}}</nz-form-label>
        </nz-form-item>
      </div>

      <div nz-col nzSpan="6" class="content-init-approve__left">
        <nz-form-label [nzNoColon]="true" nzRequired>{{'modelOrganization.approveDetail.fileAttack' | translate}}
        </nz-form-label>
        <nz-form-item>
          <a style="color: #141ED2;"
            (click)="downloadFile(sheetApproval.mpDoc.docId)" nz-tooltip
            [nzTooltipTitle]="sheetApproval?.mpDoc?.fileName">{{sheetApproval?.mpDoc?.fileName}}</a>
        </nz-form-item>
      </div>
    </div>
    <div nz-row>
      <div nz-col nzSpan="6" class="content-init-approve__left">
        <nz-form-label style="font-weight: bold;" [nzNoColon]="true">{{'modelOrganization.approveDetail.superiorUnit' |
          translate}}</nz-form-label>
        <nz-form-item>
          <nz-form-label [nzNoColon]="true">{{data.parentName}}</nz-form-label>
        </nz-form-item>
      </div>

      <div nz-col nzSpan="6" *ngIf="area" class="content-init-approve__left">
        <nz-form-label style="font-weight: bold;" [nzNoColon]="true">{{'modelOrganization.approveDetail.area' |
          translate}}</nz-form-label>
        <nz-form-item>
          <nz-form-label [nzNoColon]="true">{{area}}</nz-form-label>
        </nz-form-item>
      </div>

      <div nz-col nzSpan="6" *ngIf="type" class="content-init-approve__left">
        <nz-form-label style="font-weight: bold;" [nzNoColon]="true">{{'modelOrganization.approveDetail.typeBranch' |
          translate}}</nz-form-label>
        <nz-form-item>
          <nz-form-label [nzNoColon]="true">{{type}}</nz-form-label>
        </nz-form-item>
      </div>

      <div nz-col nzSpan="6" class="content-init-approve__left" *ngIf="data.organization?.legalBranchId">
        <nz-form-label style="font-weight: bold;" [nzNoColon]="true">{{'modelOrganization.approveDetail.lawBranch' |
          translate}}</nz-form-label>
        <nz-form-item>
          <nz-form-label [nzNoColon]="true">{{branchType}}
          </nz-form-label>
        </nz-form-item>
      </div>
    </div>

    <div class="jd-table">
      <nz-table #basicTable [nzData]="listUnit" [nzFrontPagination]="false"
        [nzScroll]="listUnit?.length > 0 ? { x: 'SCROLL_CONFIG' } : {}" nzTableLayout="fixed">
        <thead>
          <tr>
            <th scope="col" class="jd-table__label" style="border-top-left-radius: 8px;" nzWidth="80px">STT</th>
            <th scope="col" class="jd-table__label">{{'modelOrganization.approveDetail.table.label.orgName' | translate}}</th>
            <th scope="col" class="jd-table__label">{{'modelOrganization.approveDetail.table.label.functions' | translate}}</th>
            <th scope="col" class="jd-table__label" style="border-top-right-radius: 8px;">Job</th>
          </tr>
        </thead>
        <tbody>
          <ng-container *ngFor="let item of basicTable.data; let no = index">
            <tr>
              <td>{{ no + 1 }}</td>
              <td>{{data.organization?.orgName}}</td>
              <td *ngIf="orgAttribute.length > 0">
                <span *ngFor="let value of listJob" [ngStyle]="{'height.px':calHeight(value.subs.length)}">
                  {{value.orgaValue}}
                </span>
              </td>
              <td *ngIf="orgAttribute.length === 0">
                <span></span>
              </td>
              <td *ngIf="listJob.length > 0 && orgAttribute.length > 0">
                <ng-container *ngFor="let item of listJob">
                  <div *ngIf="item.subs.length > 0">
                    <span *ngFor="let data of item.subs; let i = index"
                      [ngStyle]="{'height.px':calHeightJob(i,item.subs.length)}">
                      {{data.jobName}}
                    </span>
                  </div>
                  <div *ngIf="item.subs.length === 0">
                    <span [ngStyle]="{'height.px':calHeightJob(0,0)}"></span>
                  </div>
                </ng-container>
              </td>
              <td *ngIf="jobDTO.length > 0 && orgAttribute.length === 0">
                <span *ngFor="let item of jobDTO">
                  {{item.jobName}}
                </span>
              </td>
            </tr>
          </ng-container>
        </tbody>
      </nz-table>
    </div>
  </nz-card>
  <div class="input-style input-style__input">
    <input [ngStyle]="isValid && {'border': '1px solid red'}" nz-input
      placeholder="{{'modelOrganization.approveDetail.placeHolder.typeInfo' | translate}}" [(ngModel)]="description" />
    <div class="max-length-input"><span>{{description?.length}}/250</span></div>
    <div class="error" *ngIf="isValid">
      <em nz-icon nzType="close-circle" nzTheme="fill"></em>
      <span>{{'modelOrganization.approveDetail.notif.emtyDescr' | translate}}</span>
    </div>
  </div>
</div>
<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
  [nzStyle]="{ width: '80vw' }" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>View PDF File</ng-template>

  <ng-template #modalContent>
    <div>
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true" [original-size]="true"
        class="pdf-view"></pdf-viewer>
    </div>
  </ng-template>

  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
